Subject: bug#39802: (info "(emacs) Init Rebinding") needs to say it is impossible to unbind local keys

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Feb 2020 14:56:27 +0200

> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 28 Feb 2020 05:04:57 -0500
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >>    As described in @ref{Local Keymaps}, major modes and minor modes can
> >> -define local keymaps.  These keymaps are constructed when the mode is
> >> -used for the first time in a session.
> 
> > This loses useful information in the sentence that starts with "These
> > keymaps".
> 
> I moved that information to the next paragraph:
>  
>     +  Since a mode's keymaps are not constructed until it has been loaded,

I saw it, but that "Since" strikes me as "a bolt out of the blue",
because no text before that explained or mentioned this fact.  Leaving
that sentence in place will then go a long way towards making the
"Since" part crystal clear.

IOW, in this and similar cases, repetition facilitates understanding,
and should not be avoided, because we are dealing with something that
won't necessarily be evident to the reader.

> (I think "until it has been loaded" is more accurate than "used for the
> first time", since the file can be loaded without actually using the
> mode defined within.)

I'm okay with rephrasing the original sentence along these lines.  But
I think we should not remove it entirely.  (Obviously, this is a minor
point.)

Thanks.